> For the complete documentation index, see [llms.txt](https://docs.number.tech/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.number.tech/api-reference/rest-api-alt.md).

# REST API Old / Backup

- [Authentication Old](https://docs.number.tech/api-reference/rest-api-alt/authentication.md)
- [ACH Old](https://docs.number.tech/api-reference/rest-api-alt/ach.md)
- [Card Operations Old](https://docs.number.tech/api-reference/rest-api-alt/card-operations.md)
- [Process a Card Sale Old](https://docs.number.tech/api-reference/rest-api-alt/card-operations/process-a-card-sale.md)
- [Consent Annual Older](https://docs.number.tech/api-reference/rest-api-alt/consent-annual.md)
- [Create Annual Consent](https://docs.number.tech/api-reference/rest-api-alt/consent-annual/create-annual-consent.md)
- [Consent Recurring Old](https://docs.number.tech/api-reference/rest-api-alt/consent-recurring.md)
- [Create Recurring Consent](https://docs.number.tech/api-reference/rest-api-alt/consent-recurring/create-recurring-consent.md)
- [Consent Subscription Old](https://docs.number.tech/api-reference/rest-api-alt/consent-subscription.md)
- [International Old](https://docs.number.tech/api-reference/rest-api-alt/international.md)
- [PayForm Old](https://docs.number.tech/api-reference/rest-api-alt/payform.md)
- [Query Old](https://docs.number.tech/api-reference/rest-api-alt/query.md): All of the queries for the REST API
- [Account](https://docs.number.tech/api-reference/rest-api-alt/query/account.md): Queries related to the user account
- [ACH](https://docs.number.tech/api-reference/rest-api-alt/query/ach.md): Queries related to ACH (Automated Clearing House) transactions
- [Batch](https://docs.number.tech/api-reference/rest-api-alt/query/batch.md): Queries related to batch transactions
- [Consent Annual](https://docs.number.tech/api-reference/rest-api-alt/query/consent-annual.md): Queries related to annual consent
- [Consent Recurring](https://docs.number.tech/api-reference/rest-api-alt/query/consent-recurring.md): Queries related to recurring consent
- [Consent General](https://docs.number.tech/api-reference/rest-api-alt/query/consent-general.md): Queries related to all types of consent
- [Recurring Schedule](https://docs.number.tech/api-reference/rest-api-alt/query/recurring-schedule.md): Queries related to recurring schedules
- [Receipt](https://docs.number.tech/api-reference/rest-api-alt/query/receipt.md): Queries related to receipts
- [Transaction](https://docs.number.tech/api-reference/rest-api-alt/query/transaction.md): Queries related to transactions
- [Voice](https://docs.number.tech/api-reference/rest-api-alt/query/voice.md): Queries related to voice authorization
- [Query General](https://docs.number.tech/api-reference/rest-api-alt/query/query-general.md): Methods related querying general information such as enum values
- [Reconcile](https://docs.number.tech/api-reference/rest-api-alt/query/reconcile.md)
- [Receipt Old](https://docs.number.tech/api-reference/rest-api-alt/receipt.md)
- [Recurring Schedule Old](https://docs.number.tech/api-reference/rest-api-alt/recurring-schedule.md)
- [Settlement Old](https://docs.number.tech/api-reference/rest-api-alt/settlement.md)
- [Text to Pay Old](https://docs.number.tech/api-reference/rest-api-alt/text-to-pay.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.number.tech/api-reference/rest-api-alt.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
